package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.ChargeType;
import com.ym.mec.biz.dal.entity.SysSuggestion;
import com.ym.mec.biz.service.ChargeTypeService;
import com.ym.mec.biz.service.SysSuggestionService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

@RequestMapping("sysSuggestion")
@Api(tags = "意见反馈")
@RestController
public class SysSuggestionController extends BaseController {

    @Autowired
    private SysSuggestionService sysSuggestionService;

    @ApiOperation(value = "新增")
    @RequestMapping("/add")
    @PreAuthorize("@pcs.hasPermissions('sysSuggestion/add')")
    public Object add(SysSuggestion sysSuggestion) {
        sysSuggestionService.insert(sysSuggestion);
        return succeed();
    }

    @ApiOperation(value = "删除")
    @RequestMapping("/del")
    @PreAuthorize("@pcs.hasPermissions('sysSuggestion/del')")
    public Object del(Long id) {
        sysSuggestionService.delete(id);
        return succeed();
    }

    @ApiOperation(value = "分页查询")
    @RequestMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('sysSuggestion/queryPage')")
    public Object queryPage(QueryInfo queryInfo) {
        return succeed(sysSuggestionService.queryPage(queryInfo));
    }

}
